<?php
/**
 * cURLクラス
 *
 * cURLを使用してファイルを取得する
 *
 * @access public
 * @author Masaru Hashizume <hashizume@m.email.ne.jp>
 * @copyright Copyright (c) 2009, Masaru Hashizume
 * @version 1.00
 * @since 2009/02/24
 */
class Curl {

	/**
	 * cURLハンドラー
	 */
	private $curl_handler = null;

	/**
	 *
	 * コンストラクタ
	 *
	 * @access public
	 * @return void
	 */
	public function __construct()
	{
		$this->curl_handler = curl_init();
	}

	/**
	 *
	 * デストラクタ
	 *
	 * @access public
	 * @return void
	 */
	public function __destruct()
	{
		curl_close($this->curl_handler);
	}

	/**
	 *
	 * HTTP GETで引数で指定したURLのデータを取得する
	 *
	 * @access public
	 * @param  string URL
	 * @return mixed
	 */
	public function get($url)
	{
		//入力値のチェック
		if (!$url) { return false; }

		//cURLのオプション設定
		curl_setopt($this->curl_handler, CURLOPT_URL, $url);
		curl_setopt($this->curl_handler, CURLOPT_HEADER, false);
		curl_setopt($this->curl_handler, CURLOPT_RETURNTRANSFER, true);

		//URL情報取得
		$data = curl_exec($this->curl_handler);
		return $data;
	}

}
?>
