<?php
/**
 * CLI処理
 *
 * CLI版PHPのコントローラー
 *
 * @access public
 * @author Masaru Hashizume <hashizume@m.email.ne.jp>
 * @copyright Copyright (c) 2009, Masaru Hashizume
 * @version 1.00
 * @since 2009/02/24
 */

/**
 *
 * オートロード関数の定義
 *
 * @param  string class名
 * @return void
 */
function __autoload($class)
{
	global $config;
	//コントローラーファイルの読み込み
	$incfile = $config['rootpath'].'/'.$config['apppath'].'/'.$config['controllerpath'].'/'.mb_strtolower($class).'.php';
	$isopen = include_file($incfile,false);
	if (!$isopen) {
		//モデルファイルの読み込み
		$incfile = $config['rootpath'].'/'.$config['apppath'].'/'.$config['modelpath'].'/'.mb_strtolower($class).'.php';
		$isopen = include_file($incfile,false);
		if (!$isopen) {
			//ライブラリファイルの読み込み
			$incfile = $config['rootpath'].'/'.$config['apppath'].'/'.$config['libpath'].'/'.mb_strtolower($class).'.php';
			include_file($incfile);
		}
	}
}
/**
 *
 * ファイルインクルード処理
 *
 * @param  string ファイル名
 * @param  boolean ファイルの存在が必須かどうか指定する
 * @return void
 */
function include_file($filename, $require=true)
{
	global $argv, $param, $appliname;
	$isopen = false;
	if (file_exists($filename)) {
		//ファイルのインクルード
		require_once($filename);
		$isopen = true;
	} else if ($require) {
		//ファイル読み込みエラー
		logging("the file can't include. (".$filename."）");
		exit(1);
	}
	return $isopen;
}
/**
 *
 * ログを出力する
 *
 * @param  string メッセージ
 * @return void
 */
function logging($message)
{
	global $config;
	$now = date('Y/m/d H:i:s');
	error_log($now.' '.$message."\n",3,$config['rootpath'].'/'.$config['apppath'].'/'.$config['logpath'].'/error_log.log');
}
//コンフィグ設定
require('./config.php');
//コマンドライン処理実行
if (!isset($argv[1])) {
	logging("wrong usage. USAGE：php cli.php [runname]");
	exit(1);
}
//パラメータ設定
foreach ($argv as $i=>$key) {
	switch ($i) {
		case 0:
			break;
		case 1:
			$appliname = $key;
			break;
		default:
			$param[] = $key;
	}
}
$incfile = $config['rootpath'].'/'.$config['apppath'].'/'.$config['controllerpath'].'/'.mb_strtolower($argv[1]).'.php';
logging('script start '.$incfile);
include_file($incfile);
logging('script end   '.$incfile);
?>
